Reflection mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 This type is safe for multithreaded operations. System.Reflection.MemberInfo System.Runtime.InteropServices._EventInfo System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.None) System.Runtime.InteropServices.ComDefaultInterface(typeof(System.Runtime.InteropServices._EventInfo)) System.Runtime.InteropServices.ComVisible(true)

Use the class to inspect events and to hook up event handlers, as shown in the example code for the method.

is not intended to be used to raise events. An object raises events as dictated by its internal state.

Events are used with delegates. An event listener instantiates an event-handler delegate that is invoked whenever the event is raised by an event source. In order to connect to the event source, the event listener adds this delegate to the invocation list on the source. When the event is raised, the invoke method of the event-handler delegate is called. Both multicast and single-cast event notifications are supported. The Add and Remove methods, as well as the event-handler delegate class associated with an event, must be marked in the metadata.

Delegates are object-oriented function pointers. In C or C++, a function pointer is a reference to a method. In contrast to the C or C++ function pointer, a delegate contains two references: a reference to a method and a reference to an object that supports the method. Delegates can invoke a method without knowing the class type that declares or inherits the method. Delegates need only know the return type and parameter list of the method.

The event model works equally well for single-cast and multicast delegates. When the delegate's invoke method is called, only a single object will have a method called on it. A multicast modifier can be applied to a delegate declaration, which allows multiple methods to be called when the invoke method of the delegate is called.

Calling on EventInfo when the parameter of GetCustomAttributes is true does not walk the type hierarchy. Use to inherit custom attributes.

Discovers the attributes of an event and provides access to event metadata.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the EventInfo class.

  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.DebuggerStepThrough
  System.Void `` ``

  is not the same as the event handler delegate declared for the event reflected by the current instance.

  The event reflected by the current instance is non-static, and is or is of a type that does not implement the event reflected by the current instance.

  This method attempts to add a delegate to synchronize the event on the target object.

  Each time the event is raised by the target parameter, the method or methods encapsulated by the handler will be invoked.

  Adds an event handler to an event source.

  The event source. Encapsulates a method or methods to be invoked when the event is raised by the target. 0
- Property
  4.0.0.0
  System.Reflection.MethodInfo To be added.

  This property is the equivalent of calling the with a value of true.

  Gets the object for the method of the event, including non-public methods.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.EventAttributes

  A value that specifies the attributes in the metadata of the event reflected by the current instance.

  The attributes are returned in a 4-byte integer representing a bitmap of the attributes set for the event reflected by this instance.

  Gets the attributes for this event.

  0
- Method
  4.0.0.0
  System.Boolean `` To be added.

  Returns a value that indicates whether this instance is equal to a specified object.

  true if equals the type and value of this instance; otherwise, false.

  An object to compare with this instance, or null.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type

  A that represents the type of the event-handler associated with the event reflected by the current instance. Returns if the method used to add a delegate to the event is not public and is in a loaded assembly, and the caller does not have the required permission.

  This property is read-only.

  Requires permission to reflect non-public members of a type in loaded assemblies. See .

  Gets the Type object of the underlying event-handler delegate associated with this event.

  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo

  GetAddMethod initializes and adds the event subscribe method. The AddEventHandler method is used to add an event-handler delegate to the invocation list of an event source.

  Returns the method used to add an event handler delegate to the event source.

  A object representing the method used to add an event handler delegate to the event source.

  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo `` is , the method used to add an event handler delegate is non-public, and the caller does not have permission to reflect on non-public methods. Requires permission to reflect non-public members of a type in loaded assemblies. See .

  The GetAddMethod initializes and adds the event subscribe method as a Boolean value. The AddEventHandler method is used to add an event-handler delegate to the invocation list of an event source.

  When overridden in a derived class, retrieves the MethodInfo object for the method of the event, specifying whether to return non-public methods.

  A object representing the method used to add an event handler delegate to the event source.

  true if non-public methods can be returned; otherwise, false. 0
- Method
  4.0.0.0
  System.Int32 To be added.

  Returns the hash code for this instance.

  A 32-bit signed integer hash code.

- Method
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo[]

  The metadata for an event can associate four kinds of methods with the event:

  The .addon directive specifies the method used to add event handlers. Use the method to retrieve an for that method.

  The .removeon directive specifies the method used to detach event handlers. Use the method to retrieve an for that method.

  The .fire directive specifies the method used to raise the event. Use the method to retrieve an for that method.

  The .other directive specifies any other methods associated with the event. Use the method to retrieve an array of objects for those methods.

  The methods associated with an event using the .other directive have no special significance to the runtime. The C# and Visual Basic compilers do not use the .other directive.

  Returns the public methods that have been associated with an event in metadata using the .other directive.

  An array of objects representing the public methods that have been associated with the event in metadata by using the .other directive. If there are no such public methods, an empty array is returned.

- Method
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo[] ``

  The metadata for an event can associate four kinds of methods with the event:

  The .addon directive specifies the method used to add event handlers. Use the method to retrieve an for that method.

  The .removeon directive specifies the method used to detach event handlers. Use the method to retrieve an for this method.

  The .fire directive specifies the method used to raise the event. Use the method to retrieve an for this method.

  The .other directive specifies any other methods associated with the event. Use the method to retrieve an array of objects for those methods.

  The methods associated with an event using the .other directive have no special significance to the runtime. The C# and Visual Basic compilers do not use the .other directive.

  Returns the methods that have been associated with the event in metadata using the .other directive, specifying whether to include non-public methods.

  An array of objects representing methods that have been associated with an event in metadata by using the .other directive. If there are no methods matching the specification, an empty array is returned.

  true to include non-public methods; otherwise, false.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo

  This method usually returns null for events declared with the C# event keyword or the Visual Basic Event keyword. This is because the C# and Visual Basic compilers do not generate such a method by default.

  Returns the method that is called when the event is raised.

  The method that is called when the event is raised.

  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo `` is , the method used to raise the event is non-public, and the caller does not have permission to reflect on non-public methods. Requires permission to reflect non-public members of a type in loaded assemblies. See .

  This method usually returns null for events declared with the C# event keyword or the Visual Basic Event keyword. This is because the C# and Visual Basic compilers do not generate such a method by default.

  When overridden in a derived class, returns the method that is called when the event is raised, specifying whether to return non-public methods.

  A MethodInfo object that was called when the event was raised.

  true if non-public methods can be returned; otherwise, false. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo

  This method is equivalent to ().

  Typically, the method has the following signature format:

  remove_<EventName>(<EventHandlerType> handler)

  Returns the method used to remove an event handler delegate from the event source.

  A object representing the method used to remove an event handler delegate from the event source.

  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo ``

  Typically, the method has the following signature format:

  remove_<EventName>(<EventHandlerType> handler)

  As described above.

  is , the method used to remove an event handler delegate is non-public, and the caller does not have permission to reflect on non-public methods. Requires permission to reflect non-public members of a type in loaded assemblies. See .

  When overridden in a derived class, retrieves the MethodInfo object for removing a method of the event, specifying whether to return non-public methods.

  A object representing the method used to remove an event handler delegate from the event source.

  true if non-public methods can be returned; otherwise, false. 0
- Method
  System.Type To be added. To be added. To be added. 1.0.5000.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value indicating whether the event is multicast.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property determines whether the event's name has a special meaning. Names that begin with or contain an underscore character (_), property accessors, and operator overloading methods are examples of names that might require special treatment by some compilers.

  Gets a value indicating whether the EventInfo has a name with a special meaning.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MemberTypes To be added.

  This property overrides . Therefore, when you examine a set of objects — for example, the array returned by — the property returns only when a given member is an event.

  Gets a value indicating that this member is an event.

- Method
  4.0.0.0
  System.Boolean `` `` To be added.

  Indicates whether two objects are equal.

  true if is equal to ; otherwise, false.

  The first object to compare. The second object to compare.
- Method
  4.0.0.0
  System.Boolean `` `` To be added.

  Indicates whether two objects are not equal.

  true if is not equal to ; otherwise, false.

  The first object to compare. The second object to compare.
- Property
  4.0.0.0
  System.Reflection.MethodInfo To be added.

  This property is the equivalent of calling the with a value of true.

  Gets the method that is called when the event is raised, including non-public methods.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.DebuggerStepThrough
  System.Void `` ``

  is not the same type as the event handler delegate declared for the event reflected by the current instance.

  This method attempts to remove the delegate that may synchronize this event on the target object.

  When an event is raised by target, the method or methods encapsulated by will no longer be invoked.

  Removes an event handler from an event source.

  The event source. The delegate to be disassociated from the events raised by target. 0
- Property
  4.0.0.0
  System.Reflection.MethodInfo To be added.

  This property is the equivalent of calling the with a value of true.

  Gets the MethodInfo object for removing a method of the event, including non-public methods.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Type To be added.

  Returns a T:System.Type object representing the type.

  A T:System.Type object representing the type.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code. For more information about IDispatch::GetTypeInfo, see the MSDN Library.

  Retrieves the type information for an object, which can then be used to get the type information for an interface.

  The type information to return. The locale identifier for the type information. Receives a pointer to the requested type information object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
0